> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark notification messsage as already read

> Mark some notification as having been read by user.
Listing messages support filtering by read mark.



## OpenAPI

````yaml post /api/notification/mark
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /api/notification/mark:
    post:
      tags:
        - Notification
      summary: Mark notification messsage as already read
      description: |-
        Mark some notification as having been read by user.
        Listing messages support filtering by read mark.
      operationId: coinfer_apis_notification_api_mark_notification_read
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkNotificationReadReq'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_NoneType_'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    MarkNotificationReadReq:
      properties:
        notification_ids:
          items:
            type: integer
          title: Notification Ids
          type: array
        status:
          description: the target status to be set
          enum:
            - read
            - unread
          title: Status
          type: string
      required:
        - status
      title: MarkNotificationReadReq
      type: object
    SuccRsp_NoneType_:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          title: Data
          type: 'null'
      required:
        - status
        - data
      title: SuccRsp[NoneType]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````